# Barry::JVMPacket Class Reference

`#include <packet.h>`

Inheritance diagram for Barry::JVMPacket:

[legend]
Collaboration diagram for Barry::JVMPacket:

[legend]

List of all members.

## Detailed Description

Provides an API for building and analyzing raw JavaDebug protocol packets.

This class relies on 3 external objects: a command send Data buffer (which can be fairly small), a data or argument send Data buffer, and a receive data buffer. Socket and connection details are retrieved on a readonly basis from the Mode::JavaDebug object, but all buffers can be modified.

Note that the receive buffer may be modified during a packet send, and this JVMPacket class provides API helpers to analyze the results.

Definition at line 270 of file packet.h.

The documentation for this class was generated from the following files:

- packet.h
- packet.cc